People Absence
The people absence resource.
Basehttps://rest.carbon.ms/peopleAbsence
GET
/peopleAbsenceList people absences
Retrieve a paginated list of people absences. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/peopleAbsence
curl --request GET \
--url 'https://rest.carbon.ms/peopleAbsence?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"employeeId": "xyz789",
"date": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"shiftId": "xyz789",
"note": "string"
}
]GET
/peopleAbsenceRetrieve a people absence
Fetch a single people absence by filtering on `id`.
Query parameters
idstringMatch on the people absence's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/peopleAbsence
curl --request GET \
--url 'https://rest.carbon.ms/peopleAbsence?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"employeeId": "xyz789",
"date": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"shiftId": "xyz789",
"note": "string"
}POST
/peopleAbsenceCreate a people absence
Create a new people absence.
Body parameters
employeeIdstringrequiredReferences user.id
datedaterequiredshiftIdstringReferences shift.id
notestringPOSThttps://rest.carbon.ms/peopleAbsence
curl --request POST \
--url https://rest.carbon.ms/peopleAbsence \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"employeeId":"xyz789","date":"2026-01-01"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"employeeId": "xyz789",
"date": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"shiftId": "xyz789",
"note": "string"
}PATCH
/peopleAbsenceUpdate a people absence
Update an existing people absence, matched on `id`.
Body parameters
employeeIdstringrequiredReferences user.id
datedaterequiredshiftIdstringReferences shift.id
notestringPATCHhttps://rest.carbon.ms/peopleAbsence
curl --request PATCH \
--url 'https://rest.carbon.ms/peopleAbsence?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"employeeId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"employeeId": "xyz789",
"date": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"shiftId": "xyz789",
"note": "string"
}DELETE
/peopleAbsenceDelete a people absence
Delete a people absence, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the people absence to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/peopleAbsence
curl --request DELETE \
--url 'https://rest.carbon.ms/peopleAbsence?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content